System.usbDiskModeActivate()                                            --Activates USB PC connection

GameHeart = true                                                                --Tells the game to run                               

blue = Color.new(0,0,255)                                                  --Font colours
active = Color.new(255,255,0)                
inactive = Color.new(177,177,177)
white = Color.new(255,255,255)
black = Color.new(0,0,0)                                                     

titlebackground = Image.load("titleBackground.png")        --Declared images to use
RedBack = Image.load("BubbleRed.png")
GreenBack = Image.load("BubbleGreen.png")
optionsBackground = Image.load("options.png")

click = Sound.load("TICK.wav")                                           --Declared sounds to use

-- Sets the menu to default and says to show the start menu NOW!
Menu_Main = 0
Menu_Start = 1
Menu_Options = 0
Game_NewGame = 0
--Says to select and start on the menu list option #1
MenuKey = 1      
start = 1
--Allow screens contols
startup_enable = 1
menu_enable = 0
options_enable = 0
game_enable = 0
--------------------------------------------------------------------------
function startup()                                 --The startup screen
pad = Controls.read()                          --Refers pad as Control.read() to save time and look neater
screen:blit(0,0,titlebackground,false)  --Display the background
screen:print(145,210,"Press START to continue!", white) -- print the text on the screen

if startup_enable == 1 then
if pad:start() then                             --If the start button is pressed then do the following
Menu_Main = 1                                   --Show the main menu screen
Menu_Start = 0                                  --Get rid of the startup screen 
click:play()
end

if pad:triangle() then                         --If the triangle button if pressed then
screen:print(140,150,"Made by William Edmeades",white) --Print this text
end
end


if Menu_Main == 1 then                    --If Menu_Main = 1 (start pressed)then
menu()                                              --Goto the menu screen
menu_enable = 1
startup_enable = 0
end

end
--------------------------------------------------------------------------
function menu()                                 --The menu scene

NG = inactive                                          --Resets the New Game button colour to inactive
O   = inactive                                          --Resets the Options button colour to inactive
E   =  inactive                                          --Resets the Exit button colour to inactive

if Game_NewGame == 1 then                        --New Game
NewGame()
menu_enable = 0
options_enable = 1
end

if Menu_Options == 1 then  --Options
options()
menu_enable = 0
options_enable = 1
end


if menu_enable == 1 then

if pad:down() and MenuKey < 3 then    --if down key is pressed and the menu option selected if on either new game(1), options,(2), or exit(3) then 
   MenuKey = MenuKey + 1                     --Move the options down(e.g. New game to Options)
   screen.waitVblankStart(10)                  --Wait ten milliseconds. (this slows down the menu options scrolling) 
   click:play()                                            --Play this sound
elseif pad:up()  and MenuKey > 1 then  --If you didnt press down but up and are on either New game(1), options(2) or exit(3) then
   MenuKey =MenuKey - 1                        --Wait ten milliseconds. (this slows down the menu options scrolling)
   screen.waitVblankStart(10)                  --Wait ten milliseconds. (this slows down the menu options scrolling)
   click:play()                                            --Play this sound
end
if pad:cross() and MenuKey == 1 then         --if New Game(1) is selected and X is pressed then    
Game_NewGame = 1                                      --Start new game
 menu_enable = 0
game_enable = 1                                  
end 
if pad:cross() and MenuKey == 2 then            --if options(2) is selected and X is pressed then
Menu_Options = 1                                            --Options screen is displayed
options()
end 

end

if MenuKey == 1 then                              --if you are on new game(1) then
NG = active                                              -- make the text colour active
elseif MenuKey == 2 then                       --if you are on new game(1) then
 O = active                                               -- make the text colour active
elseif MenuKey == 3 then                       --if you are on new game(1) then
E = active                                                 --make the text colour active
end

screen:blit(0,0,RedBack, false)                --Show the background
screen:print(200,50,"Main Menu",white)  --Print this text
screen:print(200, 170,"New Game",NG)   --Print this text
screen:print(200,190,"Options", O)          --Print this text
screen:print(200, 210, "Exit", E)               --Print this text

--Exit Function in GameHeart loop

end
-------------------------------------------------------------------------
function NewGame()                                  --How all the levels are put together
if game_enable == 1 then
end
Level1()                                                      --Run the first Level
end
-------------------------------------------------------------------------
function Level1()                                        --the first Level 
   screen:blit(0,0,GreenBack,true)               --Draw the background of the level
end
--------------------------------------------------------------------------
function options()
   screen:blit(95,56, optionsBackground, false)                --Show the option menu background
   screen:print(205,70,"Options",white)                            --Print this text
   screen:print(100,100,"No options availible!!!",black)     --Print this text

if options_enable == 1 then
if pad:circle() and Menu_Options == 1 then   --If your in the options settings and press circle
Menu_Options = 0                                            --Quit the options screen
end
end

end
--------------------------------------------------------------------------
--This is where the game starts. It tells the game what to do first.
while GameHeart do                           --While the game is running do the following
if start == 1 then
startup()
end                                           --Goto the startup screen

if MenuKey == 3 and pad:cross() then --EXIT
break
end 

screen.waitVblankStart()                   --Wait before refreshing the screen
screen:flip()                                        --Makes the move(e.g. have frames) otherwise the game will not move

if pad:select() then                            --If the select button is pressed
break                                                  --Reset the game completely
end
end